<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www..hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

include "../../include/label.php";

set_time_limit(0);

if(!eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit();}

$S_ID=SafeRequest("id","get");

if(!IsNul($S_ID)){echo "参数错误！";}

$Arr=explode('_',$S_ID);

echo '<list>

';

global $db;

$server=S_SiteDomain;

for($i=0;$i<count($Arr);$i++){

$sql="Select S_ID,S_Name,S_Vdata,S_Addpath,S_hits,S_Source,S_ClassID from s_video where S_ID=".$Arr[$i]."";

$row=$db->getrow($sql);

$server=$db->getrow("select * from s_pathip where S_ID=".$row['S_Addpath']."");

$S_Url=$row['S_Vdata'];

$S_Name=$row['S_Name'];

$S_Urla=substr($S_Url,0,18);

$S_Urlb=substr($S_Url,-3);

$S_Urlc=substr($S_Url,0,3);

if($S_Urla=="http://www.rayfile"){

$S_Url=getrayfile($S_Url,$row['S_Name']);

}

if($S_Urlc=="wk_"){

$kimi=explode("_",$S_Url);

$S_Url=getvdisk(trim($kimi[1]));

}

if($server['S_AddPath']!=""){

$server=$server['S_AddPath'];

}

if($row['S_Source']=="tudou"){

echo '

<m type="2" src="http://www.520tingshu.com/ting/get.php?id='.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">

</m>';

}

elseif($row['S_Source']=="yinyt"){

echo '

<m type="2" src="http://dj.chshcms.com/down/yyt.php?'.$S_Url.'.flv" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">

</m>';

}

elseif($row['S_Source']=="youku"){

echo '

<m type="youku" streamtype="flv" password=""  src="'.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">

</m>';

}

elseif($S_Urlb=="mp4"){

echo '

<m type="" src="'.$server.''.$S_Url.'" lrc="" label="'.$S_Name.'" opened="1">

</m>';

}

else

{

echo '

<m type="3" src="'.$server.''.$S_Url.'" lrc="get_lrc.php?title={label}%26rd={rd}" label="'.$S_Name.'" opened="1">

</m>';

}

}

echo '

</list>';

?>